ELF_RAND(3)

NAME
elf_rand - Set the offset for the next archive member in an ELF file.

SYNOPSIS
#include <libelf.h>
size_t elf_rand(Elf *elf, size_t offset);

DESCRIPTION
The elf_rand() function sets the current archive member offset for the ELF archive descriptor elf to offset. This function is only valid when elf refers to an archive descriptor (i.e., its kind is ELF_K_AR). Archive member offsets can be acquired from the Elf_Arsym array returned by elf_getarsym(3). If the archive header at the given offset cannot be parsed or validated, then 0 is returned.

PARAMETERS

elf A pointer to an ELF archive descriptor.

offset
    A byte offset to the archive header, indicating the desired member position.

RETURN VALUE
Returns the input offset if successful. Returns 0 if elf is NULL, is not an archive descriptor, or if an error occurs while reading the member at offset.

SEE ALSO
elf_getarsym(3), elf_next(3), libelf(3), elf(5)

ATTRIBUTES
Interface | Attribute | Value
 | Thread safety | MT-Safe

REPORTING BUGS
Report bugs to <elfutils-devel@sourceware.org> or https://sourceware.org/bugzilla/.